Package org.springframework.core.convert.converter

# Class GenericConverter.ConvertiblePair

java.lang.Object
org.springframework.core.convert.converter.GenericConverter.ConvertiblePair

Enclosing interface:
  GenericConverter

public static final class GenericConverter.ConvertiblePair extends Object
Holder for a source-to-target class pair.

## Constructor Summary

Constructors
Constructor
Description
`ConvertiblePair(Class<?> sourceType, Class<?> targetType)`
Create a new source-to-target pair.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`Class<?>`
`getSourceType()`
`Class<?>`
`getTargetType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConvertiblePair

public ConvertiblePair(Class<?> sourceType, Class<?> targetType)
Create a new source-to-target pair.

Parameters:
  `sourceType` - the source type
  `targetType` - the target type

## Method Details

### getSourceType

public Class<?> getSourceType()

### getTargetType

public Class<?> getTargetType()

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`